# Cinder

# cinder::Matrix22< T > Class Template Reference

`#include <Matrix.h>`

List of all members.

## Public Member Functions
| Matrix22 ()
| Matrix22 (const T *dt)
| Matrix22 (const Matrix22< T > &src)
template<typename FromT >
| Matrix22 (const Matrix22< FromT > &src)
void | identity ()
bool | operator== (const Matrix22< T > &rhs) const
bool | operator!= (const Matrix22< T > &rhs) const
T & | at (int row, int col)
const T & | at (int row, int col) const
Matrix22< T > & | operator= (const Matrix22< T > &rhs)
template<class FromT >
Matrix22< T > & | operator= (const Matrix22< FromT > &rhs)
Matrix22< T > & | operator= (const T *rhs)
const Matrix22< T > | operator+ (const Matrix22< T > &rhs) const
const Matrix22< T > | operator- (const Matrix22< T > &rhs) const
const Matrix22< T > | operator+ (T rhs) const
const Matrix22< T > | operator- (T rhs) const
const Matrix22< T > | operator* (T rhs) const
const Matrix22< T > | operator/ (T rhs) const
const Vec2< T > | operator* (const Vec3< T > &rhs) const
const Matrix22< T > | operator* (const Matrix22< T > &rhs) const
Matrix22< T > | transposed () const
| operator T * ()
| operator const T * () const
## Static Public Member Functions
static Matrix22< T > | createRotationAroundAxis (T a)
## Public Attributes
T | m [4]
## Friends
std::ostream & | operator<< (std::ostream &lhs, const Matrix22< T > &rhs)

### template<typename T>
class cinder::Matrix22< T >

## Constructor & Destructor Documentation

template<typename T>

cinder::Matrix22< T >::Matrix22 | ( |  | ) |

template<typename T>

cinder::Matrix22< T >::Matrix22 | ( | const T * | dt | ) |

template<typename T>

cinder::Matrix22< T >::Matrix22 | ( | const Matrix22< T > & | src | ) |

template<typename T>
template<typename FromT >

cinder::Matrix22< T >::Matrix22 | ( | const Matrix22< FromT > & | src | ) |

## Member Function Documentation

template<typename T>

void cinder::Matrix22< T >::identity | ( |  | ) |

template<typename T>

static Matrix22<T> cinder::Matrix22< T >::createRotationAroundAxis | ( | T | a | ) | `[static]`

template<typename T>

bool cinder::Matrix22< T >::operator== | ( | const Matrix22< T > & | rhs | ) | const

template<typename T>

bool cinder::Matrix22< T >::operator!= | ( | const Matrix22< T > & | rhs | ) | const

template<typename T>

T& cinder::Matrix22< T >::at | ( | int | row,
|  | int | col |
| ) |  |  |

template<typename T>

const T& cinder::Matrix22< T >::at | ( | int | row,
|  | int | col |
| ) |  |  | const

template<typename T>

Matrix22<T>& cinder::Matrix22< T >::operator= | ( | const Matrix22< T > & | rhs | ) |

template<typename T>
template<class FromT >

Matrix22<T>& cinder::Matrix22< T >::operator= | ( | const Matrix22< FromT > & | rhs | ) |

template<typename T>

Matrix22<T>& cinder::Matrix22< T >::operator= | ( | const T * | rhs | ) |

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator+ | ( | const Matrix22< T > & | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator- | ( | const Matrix22< T > & | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator+ | ( | T | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator- | ( | T | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator* | ( | T | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator/ | ( | T | rhs | ) | const

template<typename T>

const Vec2<T> cinder::Matrix22< T >::operator* | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

const Matrix22<T> cinder::Matrix22< T >::operator* | ( | const Matrix22< T > & | rhs | ) | const

template<typename T>

Matrix22<T> cinder::Matrix22< T >::transposed | ( |  | ) | const

template<typename T>

cinder::Matrix22< T >::operator T * | ( |  | ) |

template<typename T>

cinder::Matrix22< T >::operator const T * | ( |  | ) | const

## Friends And Related Function Documentation

template<typename T>

std::ostream& operator<< | ( | std::ostream & | lhs,
|  | const Matrix22< T > & | rhs |
| ) |  |  | `[friend]`

## Member Data Documentation

template<typename T>

T cinder::Matrix22< T >::m[4]

The documentation for this class was generated from the following file:

- include/cinder/Matrix.h